Subject: bug#39190: 28.0.50; two buffers with same buffer-file-name (diff-syntax-fontify-props)

From: Felician Nemeth <[email-masked]>
Date: Sun, 26 Jan 2020 20:34:05 +0100

> Now I tried to repeat this problem with eglot and got such backtrace:
[...]

Did you use the ELPA version or the git master?

> Felician, do you think that the eglot package should take more care
> to protect itself, so this report could be closed?

Having read your discussion I have a feeling that this issue affects
more than just Eglot.  Nevertheless we plan a feature that postpones the
activation of Eglot and this feature is somewhat similar to Stefan's
first suggestion.  So if the only concern is Eglot, then this issue can
be closed.

I haven't completely understood Stefan's second suggestion of
buffer-<foo>-filename, but if this means temporary diff buffers can be
detected similarly how save-some-buffers detects indirect buffers with
buffer-base-buffer, then I support the idea.